> ## Documentation Index
> Fetch the complete documentation index at: https://docs.playbook3d.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workflows

> Retrieves all workflows associated with the current user or their teams.



## OpenAPI

````yaml get /workflows
openapi: 3.1.0
info:
  title: Playbook API Documentation
  description: >-
    This is the documentation for the Playbook API. You can use this API to use
    our service programmatically, this is done by using your API key. <br/> You
    can view your API key using the 'User' tab on https://beta.playbook3d.com/.
  version: '1.0'
servers: []
security: []
tags: []
paths:
  /workflows:
    get:
      tags:
        - workflows
      summary: List All Workflows
      description: Retrieves all workflows associated with the current user or their teams.
      operationId: get_workflows
      parameters:
        - name: x-api-key
          in: header
          description: >-
            Your API key. This is required by most endpoints to access the API
            programmatically. You can view your x-api-key using the 'Profile'
            tab on the website.
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer token for authentication (JWT).
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response. Returns a JSON array of workflows.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      description: The workflow’s unique ID (UUID).
                    name:
                      type: string
                      description: Workflow name.
                example:
                  - id: 14ac2bd4-833c-4baa-bb03-7395463197bd
                    name: My Example Workflow
                  - id: c613ad9f-99e2-4de2-8fda-737612fb5c13
                    name: Another Workflow
        '400':
          description: Bad Request. Possibly invalid parameters.
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: string
                    description: Bad Request. Possibly invalid parameters.
                example:
                  description: Bad Request. Possibly invalid parameters.
        '401':
          description: Unauthorized. The Bearer token or API key is invalid or missing.
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: string
                    description: >-
                      Unauthorized. The Bearer token or API key is invalid or
                      missing.
                example:
                  description: >-
                    Unauthorized. The Bearer token or API key is invalid or
                    missing.
        '403':
          description: >-
            Forbidden. The user does not have permission to view these
            workflows.
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: string
                    description: >-
                      Forbidden. The user does not have permission to view these
                      workflows.
                example:
                  description: >-
                    Forbidden. The user does not have permission to view these
                    workflows.
        '404':
          description: Not Found. The /workflows endpoint could not be found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: string
                    description: Not Found. The /workflows endpoint could not be found.
                example:
                  description: Not Found. The /workflows endpoint could not be found.
        '500':
          description: Internal Server Error. Something went wrong on the server.
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: string
                    description: Internal Server Error. Something went wrong on the server.
                example:
                  description: Internal Server Error. Something went wrong on the server.
      x-codeSamples:
        - lang: cURL
          source: |-
            curl -X GET \
              -H 'Authorization: Bearer $API_KEY' \
              -H 'Accept: application/json' \
              '$BASE_URL/workflows'
        - lang: Python
          source: >-
            import requests


            headers = {
                'x-api-key': '<YOUR_API_KEY>',
                'Authorization': 'Bearer <YOUR_JWT_TOKEN>',
                'Accept': 'application/json'
            }

            resp = requests.get('https://accounts.playbook3d.com/workflows',
            headers=headers)

            print(resp.status_code, resp.json())
        - lang: JavaScript
          source: |-
            fetch('https://accounts.playbook3d.com/workflows', {
              method: 'GET',
              headers: {
                'x-api-key': '<YOUR_API_KEY>',
                'Authorization': 'Bearer <YOUR_JWT_TOKEN>',
                'Accept': 'application/json'
              }
            })
              .then(res => res.json())
              .then(data => console.log(data))
              .catch(err => console.error(err));
        - lang: C#
          source: >-
            // Using HttpClient

            HttpClient client = new HttpClient();

            client.DefaultRequestHeaders.Add("x-api-key", "<YOUR_API_KEY>");

            client.DefaultRequestHeaders.Authorization = new
            AuthenticationHeaderValue("Bearer", "<YOUR_JWT_TOKEN>");


            var response = await
            client.GetAsync("https://accounts.playbook3d.com/workflows");

            string content = await response.Content.ReadAsStringAsync();

            Console.WriteLine(response.StatusCode);

            Console.WriteLine(content);

````